﻿@using NacGroup.Infrastructure.Shared
@using NacGroup.Module.Core.Services
@using NacGroup.Module.Order.Models.Schema
@using NacGroup.Module.Blog.Services
@using Microsoft.AspNetCore.Http
@inject IGettingGlobalConfigService GettingGlobalConfigService
@inject IMenuConfigService MenuConfigService
@inject IBlogWebService BlogWebService
@inject IHttpContextAccessor httpContextAccessor
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    var logo = globalConfig.GlobalThemeConfig["Data"][0]["Src"];
    var logoPower = globalConfig.GlobalThemeConfig["Data"][2]["Src"];
    var footerMenu = MenuConfigService.Get().FirstOrDefault(m => m.Text == "Footer Menu");
    var shoppingcart = ViewData["ShoppingCart"] as Order;


}
<footer>
    <div class="footer-body">
        <div class="container flex-container p-2 clearfix">
            <div class="col">
                <div class="footer-widget-top">
                    <h4>Thông tin liên hệ</h4>
                </div>
                @*<div class="footer-widget-container">
                    <img src="@logo" alt="" />
                </div>*@
                @*<div class="footer-widget-top">

                </div>*@
                <div class="footer-widget-container">
                    <div class="footer-widget-item">
                        <span class="ecs-mobile"></span> Phone:   @(globalConfig.GlobalWebSetting["WebInfomation"]["WebsitePhone"])
                    </div>
                </div>
                <div class="footer-widget-container">
                    <div class="footer-widget-item">
                        <span class="ecs-phone"></span> Hotline:   @(globalConfig.GlobalWebSetting["WebInfomation"]["WebsitePhone"])
                    </div>
                </div>
                <div class="footer-widget-container">
                    <div class="footer-widget-item">
                        <span class="ecs-mail"></span> Email:   @(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteEmail"])
                    </div>
                </div>
                <div class="footer-widget-container">
                    <div class="footer-widget-item">
                        <span class="ecs-location"></span> Địa chỉ:   @(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteAddress"])
                    </div>
                </div>
            </div>
            @if (!string.IsNullOrEmpty(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteGoogleMap"].ToString()))
            {
                <div class="col">
                    <div class="footer-widget-top">
                        <h4>Bản đồ</h4>
                    </div>
                    <div class="footer-widget-container">
                        @(Html.Raw(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteGoogleMap"]))
                    </div>
                </div>
            }

        </div>
    </div>
    <div class="footer-footer">
        <div class="copy-write container text-center p-1">
            <p>
                @(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteLicense"])
            </p>
        </div>
    </div>
</footer>
<a href="javascript:" id="scrollup"><i class="demo-icon ecs-up-open-big" aria-hidden="true"></i></a>
<a href="tel:@(globalConfig.GlobalWebSetting["WebInfomation"]["WebsitePhone"].ToString().Replace("-",""))" id="phone-1" class="phone">
    <i class="demo-icon ecs-phone"></i>
    <span class="hidden-xs">@(globalConfig.GlobalWebSetting["WebInfomation"]["WebsitePhone"])</span>
</a>
<!-- Modal -->
<div id="noti-modal" class="modal fade modalstyle" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header flex-container" style="justify-content:space-between">
                <h4 class="h4" style="display:block;width:90%">Thông báo</h4>
                <button type="button" class="close" data-dismiss="modal" style="border:0;background:#fff">
                    <i class="demo-icon ecs-cancel"
                       aria-hidden="true"></i>
                </button>
            </div>
            <div class="modal-body">
                <p>Cảm ơn bạn đã liên hệ với chúng tôi !</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Đóng</button>
            </div>
        </div>
    </div>
</div>
<script src="https://www.google.com/recaptcha/api.js" defer></script>


